
#ifndef KSTATUSNOTIFIERITEM_EXPORT_H
#define KSTATUSNOTIFIERITEM_EXPORT_H

#ifdef KSTATUSNOTIFIERITEM_STATIC_DEFINE
#  define KSTATUSNOTIFIERITEM_EXPORT
#  define KSTATUSNOTIFIERITEM_NO_EXPORT
#else
#  ifndef KSTATUSNOTIFIERITEM_EXPORT
#    ifdef KF6StatusNotifierItem_EXPORTS
        /* We are building this library */
#      define KSTATUSNOTIFIERITEM_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KSTATUSNOTIFIERITEM_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KSTATUSNOTIFIERITEM_NO_EXPORT
#    define KSTATUSNOTIFIERITEM_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KSTATUSNOTIFIERITEM_DECL_DEPRECATED
#  define KSTATUSNOTIFIERITEM_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KSTATUSNOTIFIERITEM_DECL_DEPRECATED_EXPORT
#  define KSTATUSNOTIFIERITEM_DECL_DEPRECATED_EXPORT KSTATUSNOTIFIERITEM_EXPORT KSTATUSNOTIFIERITEM_DECL_DEPRECATED
#endif

#ifndef KSTATUSNOTIFIERITEM_DECL_DEPRECATED_NO_EXPORT
#  define KSTATUSNOTIFIERITEM_DECL_DEPRECATED_NO_EXPORT KSTATUSNOTIFIERITEM_NO_EXPORT KSTATUSNOTIFIERITEM_DECL_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KSTATUSNOTIFIERITEM_NO_DEPRECATED
#    define KSTATUSNOTIFIERITEM_NO_DEPRECATED
#  endif
#endif
#include <kstatusnotifieritem_version.h>

#define KSTATUSNOTIFIERITEM_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

/* Take any defaults from group settings */
#if !defined(KSTATUSNOTIFIERITEM_NO_DEPRECATED) && !defined(KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  ifdef KF_NO_DEPRECATED
#    define KSTATUSNOTIFIERITEM_NO_DEPRECATED
#  elif defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#    define KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#  endif
#endif
#if !defined(KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT) && defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  define KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#endif

#if !defined(KSTATUSNOTIFIERITEM_NO_DEPRECATED_WARNINGS) && !defined(KSTATUSNOTIFIERITEM_DEPRECATED_WARNINGS_SINCE)
#  ifdef KF_NO_DEPRECATED_WARNINGS
#    define KSTATUSNOTIFIERITEM_NO_DEPRECATED_WARNINGS
#  elif defined(KF_DEPRECATED_WARNINGS_SINCE)
#    define KSTATUSNOTIFIERITEM_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#  endif
#endif
#if !defined(KSTATUSNOTIFIERITEM_DEPRECATED_WARNINGS_SINCE) && defined(KF_DEPRECATED_WARNINGS_SINCE)
#  define KSTATUSNOTIFIERITEM_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#endif

#if defined(KSTATUSNOTIFIERITEM_NO_DEPRECATED)
#  undef KSTATUSNOTIFIERITEM_DEPRECATED
#  define KSTATUSNOTIFIERITEM_DEPRECATED_EXPORT KSTATUSNOTIFIERITEM_EXPORT
#  define KSTATUSNOTIFIERITEM_DEPRECATED_NO_EXPORT KSTATUSNOTIFIERITEM_NO_EXPORT
#elif defined(KSTATUSNOTIFIERITEM_NO_DEPRECATED_WARNINGS)
#  define KSTATUSNOTIFIERITEM_DEPRECATED
#  define KSTATUSNOTIFIERITEM_DEPRECATED_EXPORT KSTATUSNOTIFIERITEM_EXPORT
#  define KSTATUSNOTIFIERITEM_DEPRECATED_NO_EXPORT KSTATUSNOTIFIERITEM_NO_EXPORT
#else
#  define KSTATUSNOTIFIERITEM_DEPRECATED KSTATUSNOTIFIERITEM_DECL_DEPRECATED
#  define KSTATUSNOTIFIERITEM_DEPRECATED_EXPORT KSTATUSNOTIFIERITEM_DECL_DEPRECATED_EXPORT
#  define KSTATUSNOTIFIERITEM_DEPRECATED_NO_EXPORT KSTATUSNOTIFIERITEM_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define KSTATUSNOTIFIERITEM_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define KSTATUSNOTIFIERITEM_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef KSTATUSNOTIFIERITEM_NO_DEPRECATED
#  define KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT KSTATUSNOTIFIERITEM_VERSION
#endif
#ifdef KSTATUSNOTIFIERITEM_NO_DEPRECATED_WARNINGS
#  define KSTATUSNOTIFIERITEM_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef KSTATUSNOTIFIERITEM_DEPRECATED_WARNINGS_SINCE
#  ifdef KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define KSTATUSNOTIFIERITEM_DEPRECATED_WARNINGS_SINCE KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define KSTATUSNOTIFIERITEM_DEPRECATED_WARNINGS_SINCE KSTATUSNOTIFIERITEM_VERSION
#  endif
#endif

#ifndef KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT 0
#endif

#ifdef KSTATUSNOTIFIERITEM_DEPRECATED
#  define KSTATUSNOTIFIERITEM_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > KSTATUSNOTIFIERITEM_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define KSTATUSNOTIFIERITEM_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* KSTATUSNOTIFIERITEM_EXPORT_H */
